Query by multiple order ID (batch output)

Response

Variable / ParameterType Format / Max LengthDescription / Example
OrderIDalphanumeric, max 40 charsMerchant order ID for tracking purpose.
TranIDinteger, max 20 digitsUnique transaction ID for tracking purpose.
BillingDatedate (YYYY-MM-DD HH:mm:ss)Transaction date
StatCodestring of 2-digit numeric00 = Success, 11 = Failure, 22 = Pending
StatNamealphanumericSuccess: captured, settled, authorized, Failure: failed, cancelled, chargeback, release, reject/hold, blocked, ReqCancel, ReqChargeback, Pending: Pending, Unknown
Amount2 decimal points numeric valueThe payment amount
BillingNamealphanumeric, max 128 charsBuyer full name
VrfKey32 chars hexadecimal stringThis is the data integrity protection hash string.
Channelalphanumeric, max 100 charsPayment via channel
Currency3 chars ISO-4217 currency codeThe payment currency. E.g. MYR, USD, EUR, AUD, SGD, CNY, IDR
ErrorCodealphanumericError code defined by channel for failed transactions only
ErrorDescalphanumericError description defined by channel for failed transactions only
tokenAlphanumeric with symbols up to 50 chars (optional, with req4token=1)Card payment only: if PAN has been tokenized
ccbrandoptional, with req4token=1Card payment only: Visa, MasterCard, AMEX
cclast4optional, 4-digit numeric, with req4token=1Card payment only: Last 4-digit of PAN
cctypeoptional, with req4token=1Card payment only: Credit, Debit, Prepaid
ProcessorResponseCodealphanumericAuthorization response code
ProcessorCVVResponsealphaCredit Card validation response code
SchemeTransactionIDalphanumericTransaction ID provided by CC Schemes.
MerchantAdviceCodenumericMasterCard issuers use the Merchant Advice Code (MAC) in authorization request responses to communicate with merchants about a cardholder's account
ECInumericElectronic Commerce Indicator (ECI) is a value returned by Directory Servers (namely Visa, MasterCard, MyDebit, JCB, and American Express) indicating the outcome of authentication attempted on transactions enforced by 3DS
3DSVersionalphanumericVersion of the 3DS use to authenticate the transaction
ACSTransactionIDalphanumericACS transaction identifier
3DSTransactionIDalphanumeric3DS transactions identifier
TerminalIDalphanumericTerminal ID of the transaction
DbtrAgtalphanumeric, optional, with req4duitnow=1Debtor BIC code
DbtrAcct_Typealphanumeric, optional, with req4duitnow=1Debtor account type
TxnTypealphanumeric, optional, with req4duitnow=1Debtor transaction type

Formula of skey and VrfKey

skey = md5( {domain}{oIDS}{verify_key} )
VrfKey = md5( {Amount}{secret_key}{Domain}{OrderID}{StatCode} )
Query Params
string
required

Merchant order ID, must be URLencoded. alphanumeric, up to 100 orders

string
required

single character, default is "|". Avoid using any symbol that might exist in order ID, and also any of these: ",%, *, <, >, ?, , $, &, =

string
required

Merchant ID in PG system. alphanumeric, max 32 chars

string
required

This is the data integrity protection hash string. 32 chars hexadecimal string

string

optional, URL for POST response. The URL to receive POST response from PG

integer
enum

optional, 1-digit integer. 0 = plain text result (default), 1 = result via POST method, 2 = JSON text result

Allowed:
integer
enum

optional, 1-digit integer, apply for type=1 only. result string with TAB-newline (default), 0 = result string with delimiter ( | ), 1 = result in array

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes for more card related information

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes to return TerminalID

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes to return DuitNow extra information

Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json